Jump to content
bigvoodoo

Paypal Error 10472

Recommended Posts

Hello I am trying to implement the paypal module into my shop.I get this error when I try to complete a purchase.

Please try to contact the merchant:

  1. PayPal response:
  2. TIMESTAMP -> 2013-04-23T01:25:10Z
  3. L_ERRORCODE0 -> 10472
  4. L_SHORTMESSAGE0 -> Transaction refused because of an invalid argument. See additional error messages for details.
  5. L_LONGMESSAGE0 -> CancelURL is invalid.
  6. L_SEVERITYCODE0 -> Error

 

.Can anyone point me in the direction I need to look.

PrestaShop™ 1.4.10.0

paypal3.4.9

Thankyou

Share this post


Link to post
Share on other sites

I sometimes get the error message but its normally because of a mismatch in the customers billing address provided and the one registered in paypal. I use this article to help me fix this errors.

 

http://www.paypalobjects.com/en_US/ebook/PP_APIReference/Appx-ErrorCodes_and_Messages.html

 

I hope it sheds some light in your case

Share this post


Link to post
Share on other sites

For me it doesnt matter address match or not paypal kicks it out when they click on the paypal button.Paypal states that I am not submitting a valid cancel payment url. But thanks for the advice.

Edited by bigvoodoo

Share this post


Link to post
Share on other sites

For me it doesnt matter address match or not paypal kicks it out when they click on the paypal button.Paypal states that I am not submitting a valid cancel payment url. But thanks for the advice.

I'm having the same issue

Please try to contact the merchant:

  1. PayPal response:
  2. TIMESTAMP -> 2013-04-25T07:51:28Z
  3. L_ERRORCODE0 -> 10472
  4. L_SHORTMESSAGE0 -> Transaction refused because of an invalid argument. See additional error messages for details.
  5. L_LONGMESSAGE0 -> CancelURL is invalid.
  6. L_SEVERITYCODE0 -> Error

Share this post


Link to post
Share on other sites

Hello,

 

Same problem here, with Prestashop 1.4.10.

I upgraded Paypal from 3.4.8 to 3.4.9 then no one was able to pay trough Paypal.

 

Got the same error :

TIMESTAMP -> 2013-04-26T03:36:51Z

L_ERRORCODE0 -> 10472

L_SHORTMESSAGE0 -> Transaction refused because of an invalid argument. See additional error messages for details.

L_LONGMESSAGE0 -> CancelURL is invalid.

L_SEVERITYCODE0 -> Error

 

Anyone has found how to fix this, or do I have to stay on 3.4.8 (which also has a few bugs) ?

 

Thanks.

 

PP module got update yesterday to 3.5.0

I had another issue with cancel url but upgrading solved it, maybe it works on your error as well.

On the old module I did: disable module, uninstall module, delete module, and then install the new PP version.

Before the update I ended on a page not found when clicking the actual cancel url on the payment page, so it wasn't connected with a paypal error code

 

also see the solution of Goldmaverick!

Share this post


Link to post
Share on other sites

 

I use this article to help me fix this errors.

 

PayPal Error Listing

 

I hope it sheds some light in your case

Thanks for this one :)

It should be stickied in the forum !

 

@OP

how are things on your end bigvoodoo, did you have time to try the new PP module or the hint from Goldmaverick?

Share this post


Link to post
Share on other sites

Goldmaverick addresses a different isue than what was involved but he did have a handy video for those with Api cred issues. Francois from the forum got in touch with me it was a coding error in the Module. All is working well now.I assume that the new pp version has the fix in it.Thank you for all the help and suggestions from the group and I apologize about my delaye in repling.

Share this post


Link to post
Share on other sites

i try the suggestion and cant see the result

 

 

Maybe you can post the process.php for download

 

 

 

 

Please try to contact the merchant:

  • PayPal response:
  • TIMESTAMP -> 2013-05-04T21:25:47Z
  • L_ERRORCODE0 -> 10472
  • L_SHORTMESSAGE0 -> Transaction refused because of an invalid argument. See additional error messages for details.
  • L_LONGMESSAGE0 -> CancelURL is invalid.
  • L_SEVERITYCODE0 -> Error

Share this post


Link to post
Share on other sites

So about the cancel URL error 10472:

 

When I go to Configure PayPal Module (in he modules tab in the Back office) and go to

Configuration options

 

Express Checkout shortcut

Offer your customers a 3-click checkout experience

Yes

No

 

If I choose YES, the error is not shown anymore. If I return to option NO, the error comes back.

 

Hope this will be of use.

 

Apparently this is a bug in the module since when you are a customer and click "Pay with PayPal", this directs you to an "express_payment" link, no matter that my shop uses Webpage Payment Standard. And if express payment is disabled, the module detects an error in the cancel URL.

 

I am using Paypal 3.5.0 and Prestashop 1.5.4.1

Edited by vankata.be

Share this post


Link to post
Share on other sites

Bonjour,

Désolé "acidmemo", mais même en supprimant le cache ça ne marche pas avec la nouvelle version Paypal 3.5.4 installée sur PS 1.5.4

C'est vraiment enrageant de ne pouvoir jamais faire des mises à jour en confiance.

Solution temporaire : retour à 3.5.0.

Cordialement.

Share this post


Link to post
Share on other sites

Bonjour,

Merci pour l'info. Testé et ça marche (PS1.5.4.1).

Pourvu que ça dure sans régression ultérieure!

Merci encore et bon weekend.

Share this post


Link to post
Share on other sites

Did you delete all your cache?

 

1. Uninstall the older paypal version and delete the module from the modules folder from your prestashop installation

 

2. Go to your back office > Advanced parameters > Performance > on Template cache select Force compilation and disable cache.

 

3. Go to your cache folder (root of you prestashop installation) and delete this file: class_index.php, inside the folders: cachefs sandbox, smarty, tcpdf delete everything except the index.php files

 

4. Also empty your browser's cache

 

5. install the new paypal 3.5.5 version module

 

6. test it! it works on my 3 sites

 

Best of luck! ;)

Edited by majority

Share this post


Link to post
Share on other sites

Did you delete all your cache?

 

1. Uninstall the older paypal version and delete the module from the modules folder from your prestashop installation

 

2. Go to your back office > Advanced parameters > Performance > on Template cache select Force compilation and disable cache.

 

3. Go to your cache folder (root of you prestashop installation) and delete this file: class_index.php, inside the folders: cachefs sandbox, smarty, tcpdf delete everything except the index.php files

 

4. Also empty your browser's cache

 

5. install the new paypal 3.5.5 version module

 

6. test it! it works on my 3 sites

 

Best of luck! ;)

I tried what you wrote here but still same error I get, I use 1.4.10 PS. With 3.4.8 I don't get any errors. Btw I don't have what you described at point 3.

Share this post


Link to post
Share on other sites

Did you configure your paypal credentials (API username, API password and API signature)?

go to your paypal account and generate another API credentials (here a tutorial: http://www.youtube.com/watch?feature=player_embedded&v=gNl05QCuooU)

 

Did you consider updating your prestashop to the new prestashop version 1.5.4.1?

 

Other than that i have no more options... :huh:

Share this post


Link to post
Share on other sites

Did you configure your paypal credentials (API username, API password and API signature)?

go to your paypal account and generate another API credentials (here a tutorial: http://www.youtube.c...d&v=gNl05QCuooU)

 

Did you consider updating your prestashop to the new prestashop version 1.5.4.1?

 

Other than that i have no more options... :huh:

 

thanks it didn't worked but then I've deleted cookies and cache on browser and worked whit new api, thanks for your time appreciated.

Share this post


Link to post
Share on other sites

thanks it didn't worked but then I've deleted cookies and cache on browser and worked whit new api, thanks for your time appreciated.

You have to force the compilation.

Remove all, using a FTP program, of the compiled files from : "tools/smarty/compile".

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More